QGIS Application - Feature request #13662
Add CRS/SRS input parameter type
2015-10-23 08:34 AM - Giovanni Allegri

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Modeller

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 21697
Description

It would be useful to have a CRS input type for scripts, models and runalg APL.
A simple use case is Reproject layer.
The input should have two "natures":

- obtain CRS from user selection (the common QGIS's CRS selection dialog)
- obatin CRS from another input

Related issues:
Related to QGIS Application - Feature request # 11781: Processing - Add missi... Closed

2014-12-03

History

#1 - 2016-04-11 12:00 AM - Alexander Bruy

Maybe | misunderstand your request, but ParameterCrs already available in scripts. Still missed in modeler though

#2 - 2016-04-11 12:05 AM - Giovanni Allegri

Yes,| forgot to specify for modeler and script input type (double comment syntax in script's header).

#3 - 2016-04-11 12:45 AM - Giovanni Manghi
- Category changed from Processing/Core to Processing/Modeller
#4 - 2016-08-05 12:51 AM - Alexander Bruy

- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in commit:3d95712009
